Name: plt2
Version: 202
Release: alt1.1
%define fullname %name
Copyright: LGPL
Group: Development/Other
Url: http://www.plt-scheme.org/

Packager: Ott Alex <ott@altlinux.ru>

Source: plt-%version.src.x.tar.gz

Summary: PLT MzScheme & DrScheme
Summary(ru_RU.CP1251): PLT MzScheme & DrScheme

# Automatically added by buildreq on Thu Sep 19 2002
BuildRequires: XFree86-devel gcc-c++ libstdc++-devel xpm

%description
DrScheme, a pedagogical programming environment, builded on top of 
MzScheme -- R5RS-compilant version of Scheme language.

%description -l ru_RU.CP1251
DrScheme   ,   
MzScheme --   Scheme,  R5RS.

%prep
%setup -n plt

%build
cd src
export CFLAGS="%optflags -DUSE_LOCALE"
export CXXFLAGS="%optflags -DUSE_LOCALE"
./configure --prefix=%_prefix
make

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%fullname
cp -Rf install collects bin teachpack notes $RPM_BUILD_ROOT%{_libdir}/%fullname

install -m 755 src/mzscheme/mzscheme $RPM_BUILD_ROOT%{_libdir}/%fullname/bin/
install -m 755 src/mred/mred $RPM_BUILD_ROOT%{_libdir}/%fullname/bin/

mkdir $RPM_BUILD_ROOT%{_libdir}/%fullname/lib/
install -m 755 src/mzscheme/mzdyn.o $RPM_BUILD_ROOT%{_libdir}/%fullname/lib/
install -m 755 src/mzscheme/libmzgc.a $RPM_BUILD_ROOT%{_libdir}/%fullname/lib/
install -m 755 src/mzscheme/libmzscheme.a $RPM_BUILD_ROOT%{_libdir}/%fullname/lib/

mkdir -p $RPM_BUILD_ROOT%_mandir/man1
for i in man/man1/* ; do
    install -m 644 $i $RPM_BUILD_ROOT%_mandir/man1/`basename $i .1`-2.1
done

RPM_OPT_FLAGS="%optflags" export RPM_OPT_FLAGS

%clean

%post
PLTHOME="" export PLTHOME
PLTCOLLECTS="" export PLTCOLLECTS
RPM_INSTALL_PREFIX="" export RPM_INSTALL_PREFIX
cd %{_libdir}/%fullname
./install

for i in drscheme help-desk mred mzc mzscheme tex2page web-server web-server-monitor; do 
    ln -sf %{_libdir}/%fullname/bin/$i %{_bindir}/$i-2
done

/usr/sbin/update-alternatives \
        --install %{_bindir}/mzscheme mzscheme %{_bindir}/mzscheme-2 20 \
        --slave %{_bindir}/drscheme drscheme %{_bindir}/drscheme-2 \
        --slave %{_bindir}/web-server drscheme-jr %{_bindir}/web-server-2 \
        --slave %{_bindir}/web-server-monitor web-server-monitor %{_bindir}/web-server-monitor-2 \
        --slave %{_bindir}/help-desk help-desk %{_bindir}/help-desk-2 \
        --slave %{_bindir}/tex2page tex2page %{_bindir}/tex2page-2 \
        --slave %{_bindir}/mred mred %{_bindir}/mred-2 \
        --slave %{_bindir}/mzc mzc %{_bindir}/mzc-2 \
        --slave %{_mandir}/man1/mzred.1.gz mred.1.gz %{_mandir}/man1/mred-2.1.gz \
        --slave %{_mandir}/man1/mzscheme.1.gz mzscheme.1.gz %{_mandir}/man1/mzscheme-2.1.gz \
        --slave %{_mandir}/man1/drscheme.1.gz drscheme.1.gz %{_mandir}/man1/drscheme-2.1.gz

%preun
[ $1 = 0 ] || exit 0
update-alternatives --remove mzscheme %{_bindir}/mzscheme-2

for i in drscheme help-desk mred mzc mzscheme tex2page web-server web-server-monitor; do 
    rm -f %{_bindir}/$i-2
done

%postun
rm -rf %{_libdir}/%fullname

%files
%defattr(-, root, root)
%{_libdir}/%fullname/
%_mandir/man1/*.1*

%changelog
* Thu Sep 19 2002 Stanislav Ievlev <inger@altlinux.ru> 202-alt1.1
- rebuild with new XFree86

* Sun Sep 01 2002 Ott Alex <ott@altlinux.ru> 202-alt1
- Initial build

